%undefine __libtoolize

%define qtdir %_qt3dir
%define beta beta2
%define beta_undr _%beta
%define beta_dot .%beta

Name:         kdebluetooth
Version:      1.0
Release:      alt6%beta_dot

Packager:     Mobile Development Team <mobile@packages.altlinux.org>
Group:        Communications
Summary:      Bluetooth support for KDE
URL:          http://bluetooth.kmobiletools.org/
License:      GPL

Requires: %{get_dep kdelibs}
Requires: bluez-utils

#Source0: %name-%version%beta_undr.tar.bz2
Source0: %name-%version.tar.bz2
Patch1: %name.diff
# ALT
Patch2: faxhandler.desktop.patch
Patch3: kdebluetooth-1.0_beta2-alt-paths.patch

BuildPreReq: gcc-c++ kdelibs-devel libjpeg-devel liblockdev-devel 
BuildPreReq: libopenobex-devel libXext-devel libXrender-devel
BuildPreReq: libXt-devel xml-utils 
BuildPreReq: kdepim-devel
BuildPreReq: qt3-doc-html doxygen graphviz

%add_findreq_skiplist %_Kapps/%name/*/*

%description
To exchange easily files data via Bluetooth.

Authors:
--------
    Mattia Merzi <merzi@itc.it>
    Fred Schaettgen <kdebluetooth@schaettgen.de>
    Simone Gotti <motaboy@libero.it>

%package devel
Group: Development/KDE and QT
Summary: Development files for %name
Requires: %name = %version-%release
#Requires: qobex = %version-%release

%description devel
Development files for %name

%package irmcsync
Summary: IrMCSync Konnector for kitchensync
Group: Communications

%description irmcsync
The IrMCSync Konnector for kitchensync provides syncing ability trought
kitchensync/multisynk programs for all the IrMCSync enabled devices.

#%package -n qobex
#Summary: Swiss army knife for the OBject EXchange (obex) protocol
#Group: Communications

#%description -n qobex
#This obex testing and development framework is provided by the KDE
#Bluetooth Framework.

%prep
%setup -q
# -n %name-%version%beta_undr
%patch1 -p0
%patch2 -p0
%patch3 -p1

%build
%configure \
	--enable-final \
	--disable-rpath \
	--without-xmms \
	--enable-irmcsynckonnector

%make_build

%install
%make_install DESTDIR=%buildroot install
ln -sf ../lib/kdebluetooth/kbluepin %buildroot/%_sbindir/kbluepin
mv -f \
    %buildroot/%_datadir/desktop-directories/kde-settings-network-bluetooth.directory \
    %buildroot/%_datadir/desktop-directories/kde-settings-network-bluetooth-tmp.directory

%find_lang --output=%name.lang \
    btpaired kbluelock kbluepin kbluetoothd kbluetoothdcm \
    kbtobexclient kbtsearch kbtserialchat khciconfig kioclient \
    libkbluetooth

%post
%post_ldconfig
%update_menus

%postun
%postun_ldconfig
%clean_menus

%files -f %name.lang
%_bindir/kbluetoothd
%_bindir/kbtobexclient
%_bindir/kbtsearch
%_bindir/kbtserialchat
%_bindir/khciconfig
%_bindir/kioclient
%_bindir/kioobex_start
%_sbindir/kbluepin
%_libdir/libkbluetooth.so.*
%_libdir/%name/
%_libkde/kcm_btpaired.*
%_libkde/kcm_kbluetoothd.*
%_libkde/kcm_obex.*
%_libkde/kio_bluetooth.*
%_libkde/kio_obex.*
%_libkde/kio_sdp.*
%_Kapps/kbluetoothd
%_Kapps/kbtobexclient
%_Kapps/kdebluetooth
%dir %_Kapps/konqsidebartng/
%dir %_Kapps/konqsidebartng/virtual_folders/
%dir %_Kapps/konqsidebartng/virtual_folders/services/
%_Kapps/konqsidebartng/virtual_folders/services/bluetooth_sidebarentry.desktop
%_Kapps/konqueror/servicemenus/kbtobexclient_sendfile.desktop
%_Kautostart/kbluetoothd.autostart.desktop
%_datadir/config/obexrc
%_Kmimelnk/bluetooth
%_Kservices/*
%exclude %_Kservices/kresources
%_Kservicetypes/*
%_iconsdir/*/*/apps/*.png
%_iconsdir/*/*/apps/*.svg*
%_datadir/desktop-directories/kde-settings-network-bluetooth-tmp.directory
%Kmenudir/*.desktop
%Kapplnk/.hidden/kioobex_start.desktop
%dir %Kapplnk/Settings/Network/Bluetooth
%Kapplnk/Settings/Network/Bluetooth/.directory
%Kapplnk/Settings/Peripherals/obex.desktop
%Kapplnk/Utilities/*.desktop
%doc ChangeLog README AUTHORS VERSION

%_bindir/qobexclient
%_sbindir/qobexfbssrv
%_libdir/libqobex.so.*

%files devel
%_includedir/*
%_libdir/libkbluetooth.so
%_libdir/libqobex.so
%exclude 

%files irmcsync
%_libdir/libirmcsynckonnector.so
%_Kservices/kresources/

#%files -n qobex
#%_bindir/qobexclient
#%_sbindir/qobexfbssrv
#%_libdir/libqobex.so.*

%changelog
* Sat Nov 11 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0-alt6.beta2
- change default linkkeys file path to 
  /var/lib/bluetooth/11:11:11:11:11:11/linkkeys
- package multisynk plugin separately

* Mon Nov 06 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.0-alt5.beta2
- 1.0 beta 2
- massive spec cleanup
- update Url:
- change Packager:
- update buildreqs
- re-enable multisynk support

* Tue Aug 22 2006 Eugene Suchkov <cityhawk@altlinux.ru> 1.0-alt4.beta1
- Build with openobex1.3

* Fri Jul 21 2006 Eugene Suchkov <cityhawk@altlinux.ru> 1.0-alt3.beta1
- KDE-3.5.2 fix
- gcc-4.1 fix

* Tue Mar 07 2006 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt2.beta1
- fix build

* Thu Sep 01 2005 Sergey V Turchin <zerg at altlinux dot org> 1.0-alt1.beta1
- new version

* Tue Jun 07 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.cvs20050127-alt2
- fix compile with new libblues

* Thu Jan 27 2005 Sergey V Turchin <zerg at altlinux dot org> 0.0.cvs20050127-alt1
- build with gcc3.4

* Fri Jul 16 2004 Sergey V Turchin <zerg at altlinux dot org> 0.0.cvs20040716-alt1
- initial spec
